Bug 1522951 - Re-enable Web Console button.
Summary: Re-enable Web Console button.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.3
Assignee: Brian McLaughlin
QA Contact: Vatsal Parekh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-06 19:40 UTC by Brian McLaughlin
Modified: 2018-02-28 13:10 UTC (History)
9 users (show)

Fixed In Version: 5.8.3.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-28 13:10:26 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0374 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2018-02-28 18:04:37 UTC

Description Brian McLaughlin 2017-12-06 19:40:31 UTC
Description of problem:
Web Console button remains disabled due to Role 'Cockpit' not being enabled

Version-Release number of selected component (if applicable):
5.8

How reproducible:
100%

Steps to Reproduce:
1. Go to VM/Instance with Cockpit server installed
2. Attempt to click on Web Console button, note title text
3.

Actual results:
Button is disabled.

Expected results:
Button is enabled.

Additional info:
'Cockpit' Role was added in Gaprindashvili

Comment 2 Dave Johnson 2017-12-06 19:46:24 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 4 CFME Bot 2017-12-11 14:34:24 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/9947a1f96b0a640f898699f5e10c8084d2b291a9

commit 9947a1f96b0a640f898699f5e10c8084d2b291a9
Author:     Brian McLaughlin <bmclaugh@redhat.com>
AuthorDate: Wed Dec 6 14:23:16 2017 -0500
Commit:     Brian McLaughlin <bmclaugh@redhat.com>
CommitDate: Wed Dec 6 14:23:16 2017 -0500

    Re-enable Web Console button
    
    There is no 'Cockpit' role to check prior to enabling this button.  The role was added in Gaprindashvili.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1522951

 .../application_helper/button/cockpit_console.rb   |  6 +-
 spec/controllers/container_node_controller_spec.rb |  1 -
 spec/controllers/vm_cloud_controller/trees_spec.rb |  1 -
 spec/controllers/vm_infra_controller/trees_spec.rb |  1 -
 spec/controllers/vm_infra_controller_spec.rb       |  1 -
 .../buttons/cockpit_console_spec.rb                | 68 ++++++----------------
 6 files changed, 21 insertions(+), 57 deletions(-)

Comment 5 Brian McLaughlin 2017-12-20 14:03:06 UTC
*** Bug 1477901 has been marked as a duplicate of this bug. ***

Comment 8 errata-xmlrpc 2018-02-28 13:10:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0374


Note You need to log in before you can comment on or make changes to this bug.